#ifndef ARBRE_H
#define ARBRE_H

#include <QtGui>
#include <QList>
#include "tortue.h"

struct Branche {
  int taille;     // en pourcentage
  int angle;      // en degrés
};

class Arbre : public QObject
{
    Q_OBJECT
  public:
    Arbre();
    ~Arbre();
    int    count()                          { return branches.count(); }
    void   effaceBranche(int n)             { branches.removeAt(n);    }
    void   ajouteBranche(int l, int a);
    void   setBranche(int n,int l, int a);

    int    lireTaille(int n)                { return branches.at(n).taille; }
    int    lireAngle(int n)                 { return branches.at(n).angle;  }
    int    maxProf()                        { return maxprof;  }
    void   setProf(int i)                   { maxprof  = i;    }
    void   setIncline(int i)                { incl     = i;    }
    int    getIncline()                     { return incl;     }
    void   Epaissir(bool t)                 { epais = t;       }
    void   Feuillus(bool t)                 { feuilles = t;    }
    void   Alterner(bool t)                 { altern = t;      }

    void   setColTronc(const QColor &col)   { coltronc = col;  }
    void   setColFeuil(const QColor &col)   { colfeuil = col;  }
    const  QColor &getColTronc()            { return coltronc; }
    const  QColor &getColFeuil()            { return colfeuil; }

    void   Dessine(QPainter *painter, bool model, qreal t, int p, int mp);
    void   Arborise(Tortue *tort, bool model, qreal t, int p);

    int    getPoignee(int x, int y);
    void   dragPoignee(int n, int x, int y, qreal t);
  private:
    int             incl;
    int             maxprof;
    bool            epais;
    bool            feuilles;
    bool            altern;
    QColor          coltronc;
    QColor          colfeuil;
    QList<Branche>  branches;
    QList<QRect>    poignees;
    QPoint          embranch;
};

#endif
