#ifndef GRAFARBRE_H
#define GRAFARBRE_H

#include <QtGui>

#include "ui_grafarbre.h"
#include "ui_about.h"
#include "arbre.h"

#define  APP_NAME    "Sylviculteur"
#define  APP_VERSION "0.8"

//---------------------------
class AboutDialog : public QDialog, private Ui::AboutDialog
{
   Q_OBJECT
  public:
    AboutDialog(QWidget *parent = 0);
    void setVersion(QString v)  { ui.lbVersion->setText(QString("Version : %1").arg(v)); }
  private:
    Ui::AboutDialog   ui;
};
//---------------------------
class Grafarbre : public QMainWindow, private Ui::Grafarbre
{
    Q_OBJECT
  public:
    Grafarbre();
    ~Grafarbre();
    void timerEvent(QTimerEvent *);
    void relache();
  public slots :
    void lireBranche(int);
    void setBranche();
    void setBranche(int n)      { ui.spBranche->setValue(n); }
    void retourIncline()        { ui.spInclinaison->setValue(arbre->getIncline()); }
    void rafraichi()            { ui.semis->update(); ui.jardin->update(); }
    void epaissir(int b)        { arbre->Epaissir(b); ui.jardin->update(); }
    void alterner(int b)        { arbre->Alterner(b); ui.jardin->update(); }
    void feuillus(int b)        { arbre->Feuillus(b); ui.jardin->update(); }
    void lireColTronc();
    void lireColFeuil();
    void setIncline(int i);
    void setVent(int i);
    void plusBranche();
    void moinsBranche();
    void about();
  protected:
    void resizeEvent(QResizeEvent *event);
  private:
    Ui::Grafarbre   ui;
    Arbre          *arbre;
    bool            maj;
    int             ventmax;
    int             vent;
    int             timerId;
};

#endif
