; Fichier de génération d'installeur pour NSIS de NullSoft
; Url : http://nsis.sourceforge.net/Main_Page
; Bruno ANSELME - 1er mars 2007
!include Library.nsh

; Le nom de l'installeur
Name "sylviculteur"

; Nom du programme installeur à  créer
OutFile "sylviculteur-SetUp.exe"

; Répertoire destination de l'installation
InstallDir $PROGRAMFILES\MadB

; Langues. Le premier est par défaut
LoadLanguageFile "${NSISDIR}\Contrib\Language files\French.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\English.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\Dutch.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\German.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\Korean.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\Russian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\Spanish.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\Swedish.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\TradChinese.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\SimpChinese.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\Slovak.nlf"

LicenseText "Ce programme va installer sylviculteur par MadB"
LicenseData "GPL.txt"

Page license
;Page components
Page directory
Page instfiles
UninstPage uninstConfirm
UninstPage instfiles

Var ALREADY_INSTALLED

;--------------------------------
Section "Application"

  ; Set output path to the installation directory.
  SetOutPath $INSTDIR
  ; Put file there
  File release\sylviculteur.exe
  File sylviculteur.ico

  ;Add code here that sets $ALREADY_INSTALLED to a non-zero value if the application is
  ;already installed. For example:
  StrCpy $ALREADY_INSTALLED 0
  IfFileExists "$INSTDIR\sylviculteur.exe" 0 new_installation
    StrCpy $ALREADY_INSTALLED 1
  new_installation:

  !insertmacro InstallLib REGDLL $ALREADY_INSTALLED REBOOT_NOTPROTECTED C:\Qt\Desktop\Qt\4.7.4\mingw\bin\QtCore4.dll    $SYSDIR\QtCore4.dll  $SYSDIR
  !insertmacro InstallLib REGDLL $ALREADY_INSTALLED REBOOT_NOTPROTECTED C:\Qt\Desktop\Qt\4.7.4\mingw\bin\QtGui4.dll     $SYSDIR\QtGui4.dll   $SYSDIR
  !insertmacro InstallLib REGDLL $ALREADY_INSTALLED REBOOT_NOTPROTECTED C:\Qt\mingw\bin\mingwm10.dll       $SYSDIR\mingwm10.dll $SYSDIR
  !insertmacro InstallLib REGDLL $ALREADY_INSTALLED REBOOT_NOTPROTECTED C:\Qt\mingw\bin\libgcc_s_dw2-1.dll $SYSDIR\libgcc_s_dw2-1.dll $SYSDIR

  CreateDirectory "$SMPROGRAMS\MadB"
  CreateShortCut  "$SMPROGRAMS\MadB\sylviculteur.lnk" "$INSTDIR\sylviculteur.exe" "" "$INSTDIR\sylviculteur.ico"
  CreateShortCut  "$DESKTOP\sylviculteur.lnk" "$INSTDIR\sylviculteur.exe" "" "$INSTDIR\sylviculteur.ico"

  WriteUninstaller $INSTDIR\sylviculteur-uninstaller.exe
SectionEnd ; end the section

Section "Uninstall"                          ; Désintaller
  !insertmacro UnInstallLib REGDLL SHARED REBOOT_NOTPROTECTED  $SYSDIR\QtCore4.dll  ; les bibliothèques
  !insertmacro UnInstallLib REGDLL SHARED REBOOT_NOTPROTECTED  $SYSDIR\QtGui4.dll
  !insertmacro UnInstallLib REGDLL SHARED REBOOT_NOTPROTECTED  $SYSDIR\mingwm10.dll
  !insertmacro UnInstallLib REGDLL SHARED REBOOT_NOTPROTECTED  $SYSDIR\libgcc_s_dw2-1.dll
  Delete $INSTDIR\sylviculteur.ico               ; l'icone
  Delete $INSTDIR\sylviculteur.exe             ; le programme
  RMDir  $INSTDIR                              ; le répertoire du programme
  Delete $SMPROGRAMS\MadB\sylviculteur.lnk     ; le lien du menu Démarrer
  RMDir  $SMPROGRAMS\MadB                      ; le répertoire du menu Démarrer
  Delete $DESKTOP\sylviculteur.lnk             ; le lien sur le Bureau
  Delete $INSTDIR\sylviculteur-uninstaller.exe ; le programme désinstalleur
SectionEnd

;--------------------------------
