TEMPLATE     = app
TARGET       = sylviculteur
APP_VERSION  = 0.8       # APP_VERSION (grafarbre.h) et Version (sylviculteur.spec)
DEPENDPATH  += .
INCLUDEPATH += .

# Input
FORMS     += about.ui \
             grafarbre.ui
HEADERS   += tortue.h \
             arbre.h \
             vues.h \
             grafarbre.h
SOURCES   += tortue.cpp \
             arbre.cpp \
             grafarbre.cpp \
             main.cpp
RESOURCES +=
OTHER_FILES += \
    sylviculteur.nsi \
    GPL.txt \
    sylviculteur.ico \
    sylviculteur-16.png \
    sylviculteur-32.png \
    sylviculteur-64.png \
    sylviculteur.spec \
    sylviculteur.desktop \
    sylviculteur.bat
MY_FILES   = sylviculteur.pro
#target.path = /usr/bin
#INSTALLS += target


message("QMake : $$TARGET, version : $$APP_VERSION, architecture : $${QMAKE_HOST.arch}")
# ---------------------------------------------------------------
# Archivage par Bruno ANSELME, s'utilise en faisant : make zip
# On peut paramètrer le dossier d'archivage
# Envoi une copie vers le répertoire de génération des RPMs
# ---------------------------------------------------------------
unix {
  ARCHIVDIR = ../../Archives
  ARCHIVDIR = "$$ARCHIVDIR/"
#  !exists($$ARCHIVDIR) {
#    message("Creation du repertoire des archives : $$ARCHIVDIR")
#    system(mkdir $${ARCHIVDIR})
#  }
  ZIP = "/bin/tar czf"
  zip.target = zip
  zip.depends = clean
  zip.commands = \
    mkdir $${TARGET}-$${APP_VERSION} ;\
    cp -f $$FORMS $$HEADERS $$SOURCES $$RESOURCES $$OTHER_FILES $$MY_FILES $${TARGET}-$${APP_VERSION} ;\
    $$ZIP $${TARGET}-$${APP_VERSION}.tar.gz $${TARGET}-$${APP_VERSION}/* ;\
    rm -Rf $${TARGET}-$${APP_VERSION} ;\
    cp $${TARGET}-$${APP_VERSION}.tar.gz ~/rpm/SOURCES/ ;\
    mv $${TARGET}-$${APP_VERSION}.tar.gz $$ARCHIVDIR
  QMAKE_EXTRA_TARGETS += zip
}

# --------------------------------------------------------------------
# Génération de RPM par Bruno ANSELME, s'utilise en faisant : make rpm
# Crée des paquets sources dans ~/rpm/SRPMS
# Crée des paquets binaires pour i586 et x86_64 dans ~/rpm/RPMS
# --------------------------------------------------------------------
unix {
  rpm.target = rpm
  rpm.depends = zip
  rpm.commands = \
    rpmbuild -bs sylviculteur.spec ;\
    rpmbuild -bb --target=$${QMAKE_HOST.arch} sylviculteur.spec
  QMAKE_EXTRA_TARGETS += rpm
}
