#include <math.h>
#include "tortue.h"

Tortue::Tortue(QPainter *paint) :
  pen(QColor(0,0,0))
{
  painter = paint;
  painter->setPen(pen);
  cap     = -90.0;
  poser   = true;
}

void Tortue::avance(qreal d)
{
  QPointF newpos = position + QPointF(cos(cap*Pi/180.0)*d,sin(cap*Pi/180.0)*d);
  if (poser)
    painter->drawLine(position,newpos);
  position = newpos;
}

void Tortue::carre(qreal cote)
{
  for(int i=0;i<4;++i) {
    avance(cote);
    tourneDroite(90.0);
  }
}

void Tortue::plot(QColor col)
{
  QRect r((int) position.x()-2, (int) position.y()-2,5,5);
  painter->fillRect(r,QBrush(col));
  poignees << r;
}

void Tortue::ploot(QColor &col)
{
  QColor memcol = pen.color();
  painter->setBrush(QBrush(col));
  pen.setColor(col);
  painter->setPen(pen);
  QRect r((int) position.x()-2, (int) position.y()-2, 5, 5);
  painter->drawEllipse(r);
  pen.setColor(memcol);
  painter->setPen(pen);
}
