#ifndef TORTUE_H
#define TORTUE_H

#include <QtGui>

static const double Pi = 3.14159265358979323846264338327950288419717;

class Tortue
{
  public:
          Tortue(QPainter *);
    void  setOrigin(QPointF p)        { origine = p; }
    void  setOrigin(QPoint  p)        { origine = QPointF(p); }
    void  setOrigin(qreal x, qreal y) { origine = QPointF(x,y); }
    void  setCap(qreal c)             { cap = c;    }
    void  tourneDroite(qreal a)       { cap += a;   }
    void  tourneGauche(qreal a)       { cap -= a;   }
    void  recule(qreal d)             { avance(-d); }
    void  posePlume(bool t)           { poser = t;  }
    void  reset()                     { position = origine; }
    void  setColor(const QColor &col) { pen.setColor(couleur = col); painter->setPen(pen); }
    void  setStyle(Qt::PenStyle stil) { pen.setStyle(stil);          painter->setPen(pen); }
    void  setWidth(int w)             { pen.setWidth(w);             painter->setPen(pen); }
    void  push()                      { points.push(position); caps.push(cap); }
    void  pop()                       { position = points.pop(); cap = caps.pop(); }
    const QPointF &Pos()              { return position; }
    const QList<QRect> &Poignees()    { return poignees; }
    void  avance(qreal d);
    void  carre(qreal cote);
    void  plot(QColor col = Qt::black);
    void  ploot(QColor &col);
  private:
    QPainter       *painter;
    QPointF         origine;
    QPointF         position;
    qreal           cap;
    QPen            pen;
    bool            poser;
    QColor          couleur;
    QStack<QPointF> points;
    QStack<qreal>   caps;
    QList<QRect>    poignees;
};

#endif
